Package org.drinkless.tdlib

# Class TdApi.MessageChecklistTasksDone

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageChecklistTasksDone

Enclosing class:
  `TdApi`

public static class TdApi.MessageChecklistTasksDone extends TdApi.MessageContent
Some tasks from a checklist were marked as done or not done.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `checklistMessageId`
  Identifier of the message with the checklist; may be 0 or an identifier of a deleted message.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int[]`
  `markedAsDoneTaskIds`
  Identifiers of tasks that were marked as done.
  `int[]`
  `markedAsNotDoneTaskIds`
  Identifiers of tasks that were marked as not done.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageChecklistTasksDone()`
  Some tasks from a checklist were marked as done or not done.
  `MessageChecklistTasksDone(long checklistMessageId, int[] markedAsDoneTaskIds, int[] markedAsNotDoneTaskIds)`
  Some tasks from a checklist were marked as done or not done.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### checklistMessageId

    public long checklistMessageId
    Identifier of the message with the checklist; may be 0 or an identifier of a deleted message.

  - ### markedAsDoneTaskIds

    public int[] markedAsDoneTaskIds
    Identifiers of tasks that were marked as done.

  - ### markedAsNotDoneTaskIds

    public int[] markedAsNotDoneTaskIds
    Identifiers of tasks that were marked as not done.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageChecklistTasksDone

    public MessageChecklistTasksDone()
    Some tasks from a checklist were marked as done or not done.

  - ### MessageChecklistTasksDone

    public MessageChecklistTasksDone(long checklistMessageId, int[] markedAsDoneTaskIds, int[] markedAsNotDoneTaskIds)
    Some tasks from a checklist were marked as done or not done.
    Parameters:
      `checklistMessageId` - Identifier of the message with the checklist; may be 0 or an identifier of a deleted message.
      `markedAsDoneTaskIds` - Identifiers of tasks that were marked as done.
      `markedAsNotDoneTaskIds` - Identifiers of tasks that were marked as not done.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR